TechDraw Dimensión Radio

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw RadiusDimension and the translation is 24% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский
Arrow-left.svg Anterior: TechDraw VerticalDimension.svg Nuevo Vertical
Siguiente: Nuevo Diámetro TechDraw DiameterDimension.svg Arrow-right.svg

TechDraw Dimension Radius.svg TechDraw Dimensión Radio

Ubicación en el Menú
TechDraw → Dimensión Radio
Entornos de trabajo
TechDraw
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
TechDraw Dimensión Diámetro

Descripción

La herramienta Dimensión Radio añade una dimensión de radio a una Vista. La dimensión puede aplicarse a cualquier Borde del dibujo que sea un círculo o un arco circular. La distancia será inicialmente la distancia proyectada (es decir, como se muestra en el dibujo), pero puede cambiarse a la distancia real en 3D usando el TechDraw LinkDimension.svg Enlace Dimensión herramienta.

TechDraw Dimension Radius example.png

Measuring a circle, indicating the radius

Utilización

  1. Select a circle or circular arc in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a radius dimension in these cases)
  2. Press the TechDraw RadiusDimension.svg Radius Dimension button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.
  4. If needed, add tolerances as described in this page.

To change the properties of a dimension object either double-clicking it in the drawing or in the Tree view. This will open the dimension dialog.

Limitaciones

Dimension objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension for more information.

Propiedades

See TechDraw LengthDimension.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Radius Dimension tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Radius"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)


Arrow-left.svg Anterior: TechDraw VerticalDimension.svg Nuevo Vertical
Siguiente: Nuevo Diámetro TechDraw DiameterDimension.svg Arrow-right.svg